## com.meego.libsocialweb.Banishable com.meego.libsocialweb.Banishable — Banishable interface |

## Methods

    HideItem (in  's' uid)

## Signals

    ItemHidden ('s' uid)

## Implemented Interfaces

Objects implementing com.meego.libsocialweb.Banishable also implements org.freedesktop.DBus.Introspectable, org.freedesktop.DBus.Properties

## Description

An interface for hiding items from a feed from a service.

## Details

### `HideItem()`

    HideItem (in  's' uid)

Hide the item from the servive with the given `uid`. This means that the item will be removed from any open views and streams, from the cache and will be added to the ban list so that any future fetches of this content will not include it.

`uid`: | The uid of the item to ban

## Signal Details

### The ItemHidden signal

    ItemHidden ('s' uid)

Fired when a a client requests that an item be banned from the service. It may be that uid is not valid or not present in the view or stream. Client should not misbehave is the uid is unknown to them.

`uid`: | The uid of the item that has been banned.